summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/actionpack/actionpack-7.2.2.1.ebuild6
-rw-r--r--dev-ruby/actionview/actionview-7.2.2.1.ebuild11
-rw-r--r--dev-ruby/activemodel/activemodel-7.2.2.1.ebuild4
-rw-r--r--dev-ruby/activerecord/activerecord-7.2.2.1.ebuild5
-rw-r--r--dev-ruby/railties/railties-7.2.2.1.ebuild5
5 files changed, 19 insertions, 12 deletions
diff --git a/dev-ruby/actionpack/actionpack-7.2.2.1.ebuild b/dev-ruby/actionpack/actionpack-7.2.2.1.ebuild
index e9af7759d41c..bae3092b5afd 100644
--- a/dev-ruby/actionpack/actionpack-7.2.2.1.ebuild
+++ b/dev-ruby/actionpack/actionpack-7.2.2.1.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby32 ruby33 ruby34"
RUBY_FAKEGEM_RECIPE_DOC="none"
RUBY_FAKEGEM_DOCDIR="doc"
@@ -72,6 +72,10 @@ all_ruby_prepare() {
sed -e '/test_session_store_with_all_domains/askip "Fails with fixed cgi.rb"' \
-i test/dispatch/session/cookie_store_test.rb || die
+ # Avoid tests failing with rails-dom-testing 2.3 (fixed upstream)
+ sed -e '/test_preserves_order_when_reading_from_cache_plus_rendering/askip "Fails with rails-dom-testing 2.3"' \
+ -i test/controller/caching_test.rb || die
+
# Avoid tests requiring chrome
sed -e '/DrivenBySeleniumWith/,/^end/ s:^:#:' \
-i test/abstract_unit.rb || die
diff --git a/dev-ruby/actionview/actionview-7.2.2.1.ebuild b/dev-ruby/actionview/actionview-7.2.2.1.ebuild
index 57db50a918f6..f5b606c267eb 100644
--- a/dev-ruby/actionview/actionview-7.2.2.1.ebuild
+++ b/dev-ruby/actionview/actionview-7.2.2.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby32 ruby33 ruby34"
RUBY_FAKEGEM_RECIPE_DOC="none"
RUBY_FAKEGEM_DOCDIR="doc"
@@ -51,9 +51,10 @@ ruby_add_bdepend "
all_ruby_prepare() {
# Remove items from the common Gemfile that we don't need for this
# test run. This also requires handling some gemspecs.
- sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
+ sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/ s:^:#:" \
-e '/:job/,/end/ s:^:#:' \
- -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+ -e '/group :doc/,/^end/ s:^:#:' \
+ -i ../Gemfile || die
rm ../Gemfile.lock || die
# Fix loading of activerecord integration tests. This avoids loading
@@ -63,7 +64,7 @@ all_ruby_prepare() {
-e '/defined/ s/FixtureSet/ActiveRecord::FixtureSet/' \
-i test/active_record_unit.rb || die
- sed -e '3irequire "ostruct"' \
+ sed -e '3irequire "ostruct"; gem "actionpack", "~> 7.2.0"; gem "activerecord", "~> 7.2.0"; gem "railties", "~> 7.2.0"' \
-i test/abstract_unit.rb || die
# Avoid test failing on capitalization difference
diff --git a/dev-ruby/activemodel/activemodel-7.2.2.1.ebuild b/dev-ruby/activemodel/activemodel-7.2.2.1.ebuild
index 658218292ced..c55512204c04 100644
--- a/dev-ruby/activemodel/activemodel-7.2.2.1.ebuild
+++ b/dev-ruby/activemodel/activemodel-7.2.2.1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+USE_RUBY="ruby32 ruby33 ruby34"
RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
diff --git a/dev-ruby/activerecord/activerecord-7.2.2.1.ebuild b/dev-ruby/activerecord/activerecord-7.2.2.1.ebuild
index 9f10b1e59564..eecc196ec698 100644
--- a/dev-ruby/activerecord/activerecord-7.2.2.1.ebuild
+++ b/dev-ruby/activerecord/activerecord-7.2.2.1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+
+USE_RUBY="ruby32 ruby33 ruby34"
# this is not null so that the dependencies will actually be filled
RUBY_FAKEGEM_TASK_TEST="test"
diff --git a/dev-ruby/railties/railties-7.2.2.1.ebuild b/dev-ruby/railties/railties-7.2.2.1.ebuild
index d149dd3e7ccd..a0ce8356e635 100644
--- a/dev-ruby/railties/railties-7.2.2.1.ebuild
+++ b/dev-ruby/railties/railties-7.2.2.1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
+
+USE_RUBY="ruby32 ruby33 ruby34"
RUBY_FAKEGEM_TASK_TEST="test:regular"
RUBY_FAKEGEM_RECIPE_DOC=""